# mysqlpp::OptionalExceptions Class Reference

Interface allowing a class to have optional exceptions. More...

`#include <noexceptions.h>`

Inheritance diagram for mysqlpp::OptionalExceptions:

[legend]
List of all members.

## Public Member Functions

| OptionalExceptions (bool e=true)
| Default constructor.
virtual | ~OptionalExceptions ()
| Destroy object.
void | enable_exceptions ()
| Enable exceptions from the object.
void | disable_exceptions ()
| Disable exceptions from the object.
bool | throw_exceptions () const
| Returns true if exceptions are enabled.

## Protected Member Functions

void | set_exceptions (bool e)
| Sets the exception state to a particular value.

## Friends

class | NoExceptions
| Declare NoExceptions to be our friend so it can access our protected functions.

## Detailed Description

Interface allowing a class to have optional exceptions.

A class derives from this one to acquire a standard interface for disabling exceptions, possibly only temporarily. By default, exceptions are enabled.

## Constructor & Destructor Documentation

mysqlpp::OptionalExceptions::OptionalExceptions | ( | bool | e = true | ) | `[inline]`

Default constructor.

Parameters:

  e | if true, exceptions are enabled (this is the default)

## Member Function Documentation

void mysqlpp::OptionalExceptions::set_exceptions | ( | bool | e | ) | `[inline, protected]`

| Sets the exception state to a particular value. This method is protected because it is only intended for use by subclasses' copy constructors and the like.

The documentation for this class was generated from the following file:

- noexceptions.h